.hero_textarea .hero_textarea-title,
.hero_textarea .hero_textarea-text {
  display: none;
}
.hero_textarea .hero_textarea-title.active,
.hero_textarea .hero_textarea-text.active {
  display: block;
}

.fade-in {
  animation-name: fade-in;
  animation-duration: 2.5s;
  animation-timing-function: ease-in;
  animation-fill-mode: forwards;
}
.fade-out {
  animation-name: fade-out;
  animation-duration: 2.5s;
  animation-delay: 1s;
  animation-timing-function: ease-out;
  animation-fill-mode: forwards;
}
.fade-in-out {
  animation-name: fade-in-out;
  animation-duration: 1.6s;
  animation-timing-function: ease-out;
  animation-fill-mode: forwards;
}
.fade-in-out-slide {
  animation-name: fade-in-out-slide;
  animation-duration: 1.6s;
  animation-timing-function: ease-out;
  animation-fill-mode: forwards;
}
.hero_thumbnail-item.fade-in-out::before {
  animation-name: fade-in-out;
  animation-duration: 1.6s;
  animation-timing-function: ease-out;
  animation-fill-mode: forwards;
}

.hero_slider-item.scale-out {
  animation-name: scale-out;
  animation-duration: 25s;
  animation-timing-function: ease-out;
  animation-fill-mode: forwards;
}
@keyframes scale-out {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.1);
  }
}

@keyframes fade-in {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes fade-out {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0.5;
  }
}

@keyframes fade-in-out {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}
@keyframes fade-in-out-slide {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.7;
    transform: translateX(120%);
  }
  51% {
    opacity: 0;
    transform: translateX(-20%);
  }
  100% {
    opacity: 1;
  }
}

/* 
 * SP
 * アクティブになっているスライドのサムネイルはセンターにする
 **/
:root {
  --hero_thumbnail-item-width: 0px;
}
@media screen and (max-width: 767px) {
  .hero_thumbnail-list {
    transition: 0.8s;
  }
  .hero_thumbnail-list[data-active-type='01'] {
    transform: translateX(var(--hero_thumbnail-item-width));
  }
  .hero_thumbnail-list[data-active-type='03'] {
    transform: translateX(calc(-1 * var(--hero_thumbnail-item-width)));
  }
}